extends ../../common-templates/layout

block title
  title Trace ID Stream | StreamExplorer

block content
  h1 Trace ID Stream

  if !stream
    p.alert.alert-warn That traceId does not exist.
  else
    table.table.table-striped
      thead
        tr
          th Stream Name
          th Position
          th Type
          th Time
      tbody
        each message in stream.messages
          tr
            td: a(href=`/streams/${message.streamName}`)= message.streamName
            td: a(href=`/streams/${message.streamName}/${message.position}`)= message.position
            td= message.type
            td= message.time
